apiVersion: batch/v1
kind: CronJob
metadata:
  name: print-ip
spec:
  schedule: "*/1 * * * *"
  jobTemplate:
    spec:
      template:
       spec:
        restartPolicy: OnFailure
        containers:
        - name: print-ip
          image: curlimages/curl
          command:
            - /bin/sh
            - -c
            - date; echo $(curl ipinfo.io/ip) 